osl::checkmate::DfpnPathRecord Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
osl::checkmate::DfpnPathRecord Struct Reference
Collaboration diagram for osl::checkmate::DfpnPathRecord:
[legend]

## Public Member Functions
| DfpnPathRecord ()

## Public Attributes
SimpleTwinList | twin_list
int | distance
| distance from root More...
bool | visiting
size_t | node_count

## Static Public Attributes
static const int | MaxDistance = 1024*128

## Detailed Description

Definition at line 159 of file dfpn.cc.

## Constructor & Destructor Documentation

osl::checkmate::DfpnPathRecord::DfpnPathRecord | ( | ) |  |
| inline

Definition at line 167 of file dfpn.cc.

## Member Data Documentation

int osl::checkmate::DfpnPathRecord::distance

distance from root

Definition at line 164 of file dfpn.cc.

Referenced by osl::checkmate::DfpnPathList::allocate(), osl::checkmate::Dfpn::analyze(), osl::checkmate::Dfpn::defense(), and osl::checkmate::Dfpn::distance().

const int osl::checkmate::DfpnPathRecord::MaxDistance = 1024*128
| static

Definition at line 161 of file dfpn.cc.

Referenced by osl::checkmate::DfpnPathList::allocate(), and osl::checkmate::DfpnPathList::find().

size_t osl::checkmate::DfpnPathRecord::node_count

Definition at line 166 of file dfpn.cc.

Referenced by osl::checkmate::Dfpn::defense(), and osl::checkmate::DfpnPathList::precious().

SimpleTwinList osl::checkmate::DfpnPathRecord::twin_list

Definition at line 162 of file dfpn.cc.

Referenced by osl::checkmate::Dfpn::analyze(), osl::checkmate::Dfpn::Tree::dump(), osl::checkmate::Dfpn::hasCheckmateMove(), osl::checkmate::Dfpn::hasEscapeMove(), osl::checkmate::DfpnPathList::precious(), osl::checkmate::Dfpn::Node::setLoopDetection(), and osl::checkmate::Dfpn::tryProofMain().

bool osl::checkmate::DfpnPathRecord::visiting

Definition at line 165 of file dfpn.cc.

Referenced by osl::checkmate::DfpnVisitLock< Enabled >::DfpnVisitLock(), osl::checkmate::DfpnPathList::precious(), osl::checkmate::Dfpn::setIllegal(), and osl::checkmate::DfpnVisitLock< Enabled >::~DfpnVisitLock().

The documentation for this struct was generated from the following file:

- dfpn.cc